MyBatis 3.4.5 发布,Java 数据持久层框架 - 开源中国社区
MyBatis 3.4.5 发布,Java 数据持久层框架
淡漠悠然 2017年08月20日

MyBatis 3.4.5 发布,Java 数据持久层框架

淡漠悠然 淡漠悠然 发布于2017年08月20日 收藏 10

有免费的MySQL,为什么还要买? >>>  

MyBatis 3.4.5 已发布,自 3.4.4 以来,没有任何向后不兼容的变化。主要变更如下:

增强:

  • 可自定义默认的枚举类型处理程序 #971

  • 使 Mapper 方法及其接口类型可访问 SqlProvider #1055

  • 允许在 SqlProvider 中使用配置属性 #1061

  • 将 JSR-310(Java 日期和时间 API)的类型处理程序合并到 mybatis 核心中 #974

Bug 修复:

  • The type handler registered for a common interface of enums was not applied correctly. #976

  • Lazy loading should not overwrite a property value set by user. #988

  • Prevent foreach xml tag from polluting the global context. #966

  • Some parameter names (e.g. 'size') can cause ClassCastException. #1031

  • Not all result sets are processed when UPDATE or INSERT is performed in between. #1036

  • With PostgreSQL, ExecutorException is thrown if useGeneratedKeys is enabled globally. #902

发布主页

下载地址

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:MyBatis 3.4.5 发布,Java 数据持久层框架
分享
评论(4)
精彩评论
2
CRUD 增强 https://github.com/baomidou/mybatis-plus
2
厉害
最新评论
0

引用来自“青苗”的评论

CRUD 增强 https://github.com/baomidou/mybatis-plus
哪个版本都能看到你
0
mybatis还是要注意一下兼容性的问题,3.2.x升级到3.3.x都会出问题。如果是因为支持jdk8不向下兼容也就罢了,这种太让人无语了
2
CRUD 增强 https://github.com/baomidou/mybatis-plus
2
厉害
顶部